<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		img{
			/*width:0px;*/
			/* cuidado con el orden de las transformaciones
			para poder animarlas */
			opacity: 0;
			/*transform: rotate(0deg);
			transform: scale(0);
			transition: all 5s;*/
			transform: scale(0.5);
			transition: all 5s;

		}

		


	</style>
	
	<script type="text/javascript">
		window.addEventListener("load", ()=>{
			/*document.querySelector("img").addEventListener("transitionend", ()=>{
				alert("Ya estoy aqui");
				document.querySelector("img").style.opacity=0;*/
				miniatura=document.querySelectorAll("img");
			window.addEventListener("click",(e)=>{
				let foto;
			foto=document.querySelectorAll("img");
			foto[0].style.opacity='1';
			foto[1].style.opacity='1';
			//document.querySelector("img").style.width="1000px";
			//document.querySelector("img").style.transform = 'rotate(90deg) scale(1)';
			foto[0].style.transform = 'scale(1)';
			foto[1].style.transform = 'scale(1)';

			});
		});
	</script>
</head>
<body>
	<img src="imgs/1.jpg" alt="foto">
	<img src="imgs/2.jpg" alt="foto2">
</body>
</html>